<template>
    <html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>order_confirmation_page</title>
    <link rel="stylesheet" href="..//css/order_confirmation_page.css">
</head>
<body>
    <div class="wrapper">
        
        <h1>Order confirmation</h1>
          <div class="house_numbers">
           <div class="house_order">
               <HousesCartItem
               v-for="item in this.$store.state.cart"
               :key="item.id"
               :cart_data="item"               
                />
               <!-- Small House1    
               <p> $100</p> -->
           </div>
           <!-- <div class="multiply"> X</div> -->
          <!-- <input type="number" class="product_quantity">  -->
        </div>
        
        <div class="house_name_phone_user">
            <input type="text" 
            placeholder="Your Name"
            class="input_name"
            v-model.trim="name"
            :class="$v.name.$invalid ? 'invalid' :''" /> 
            <input type="text"
             placeholder="Your Phone" 
             class="input_phone"
             v-model.trim="number"
             :class="$v.number.$invalid ? 'invalid' :''" 
             > 
            <button 
            class="buy_btn"
            @click="$router.push('/Final')"
            :class="!disabledBtnFinish ? 'active' :''"
            >BUY!</button>
        </div>
        <div class="conteiner-conditions">
            <p>Terms of use</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.
                 Recusandae assumenda culpa error! Autem, in nostrum. 
                 Optio rem consectetur error iure illum, eos asperiores minima odit facere. 
                 Iste mollitia ipsa nemo?Lorem ipsum dolor, sit amet consectetur adipisicing elit. 
                 Quaerat adipisci voluptatibus velit voluptate dolorem!
                  Quod, quos rerum, cum aspernatur nam illum libero vel iste natus ut pariatur repellendus veritatis error!
                Lorem ipsum dolor sit amet consectetur adipisicing elit.
                 Quaerat eos nihil, itaque praesentium minus impedit cum veritatis tempora, esse officia ea quibusdam distinctio provident voluptate quae id ipsa, odio quasi!
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Saepe nesciunt, natus est obcaecati harum sunt quibusdam deserunt, sequi non repellat doloribus odit, maxime autem sit suscipit explicabo fuga beatae ipsam.
            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nemo voluptas ipsam quam illum? Ipsam, est exercitationem blanditiis sed et tempore eaque laboriosam repudiandae optio dolores corporis, asperiores sapiente nesciunt nobis?</p>
                
                </div>
    </div>
</body>
</html>

</template>

<script>
import { validationMixin } from 'vuelidate'
import { required, minLength} from 'vuelidate/lib/validators';
import HousesCartItem from './HousesCartItem';
import {mapGetters} from 'vuex';


export default {
  components: {HousesCartItem} ,
    mixins: [validationMixin],
    data(){
        return {
        name:'',
        number:''
    
        }
    },
    // props:{
    //    cart_data:{
    //        type: Array,
    //        default() {
    //            return []
    //        }
    //    }  
    // },
    computed:{
         disabledBtnFinish() {
             return this.$v.name.$invalid || this.$v.number.$invalid
         },
        ...mapGetters([
           'CART'
        ])

    },

    validations: {
        name:{required, minLength:minLength(3)},
        number:{required, minLength:minLength(3)}
    },
    methods: {
      

          
    }

    
}
</script>
<style scoped>
body {
    display: flex;
    justify-content: center;  
    margin-top: 10%;

}
.wrapper{
    width: 790px;  
    
  }
  .wrapper h1{
      text-align: center;
  }

  .house_numbers{
   display: flex;
   
  }

  .house_order{
     font-weight: bold; 
     font-size: 25px ;
     margin-left: 148px;
     
  }
  .house_order p {
      margin-top: 0px;
      margin-left: 29px;
      font-weight: normal;      

  }
 
.multiply{
    font-size: 25px;
    font-weight: bold;
    margin-left: 106px;
    margin-top: 15px;

}
.product_quantity{
    width: 180px;
    height: 50px;
    margin-left: 110px;
    border: 1px solid black;
}

.house_name_phone_user {
  margin-left: 80px;  
}
.input_name{
    width: 180px;
    height: 50px;  
    border: 1px solid black;
}
.input_phone{
    margin-left: 15px;
    width: 180px;
    height: 50px;  
    border: 1px solid black;
}
.buy_btn{
    margin-left: 15px;    
    width: 177px;  
    height: 56px;      
    font-size: 23px;   
    cursor: pointer; 
    
}
.active{
    background-color: #d5e8d4 ;
    border: 1px solid green; 
}

::placeholder{
    text-align: center;
    font-size: 20px;
}

.conteiner-conditions{
    margin-top: 30px;
    margin-left: 20px;
    border: 2px solid black;
    width: 97%;
    text-align: center;
}
.conteiner-conditions p:last-child{
    font-size: 11px;
    padding: 6px 6px 6px 6px;
}
  .invalid {
  border: 1px solid red;  
}


@media (max-width: 785px) {

    .house_numbers{
        display: flex;
        flex-wrap: wrap;   
        width: 25%; 
            
    }
    .house_order p {
        
        margin-left: 9px;  
        margin-bottom: 5px;         
  
    }
    .multiply{
        margin-left: 167px;
       
    }
    .product_quantity{
        margin-top: 20px;
    }   
 
    
    .house_total{
        margin-top: 5px;
        margin-left: 5px;
        display: flex;
         flex-wrap: wrap;
         
    }
    .house_total input{
        margin-top: 20px;
        margin-left: 89px;
        border: 1px solid black;
    }
    .house_name_phone_user{
        display: flex;
         flex-wrap: wrap;
    }
    .input_name{
        margin-left: 15px;
        margin-bottom: 10px;
    }
    .input_phone{
        margin-bottom: 10px;
    }
    .invalid {
  border: 1px solid red;  
}

}

</style>

